Laravel, elixir and gulp

I’ve gulpfile.js with content

var gulp = require('gulp');//this is working
gulp.task('default', function() { });//this is working
var elixir = require('laravel-elixir');//this is NOT working

Running “gulp” in cmd I get a message:

C:myaccountworkspacetodoparrot>gulp
module.js:338
    throw err;
    ^
Error: Cannot find module 'lodash._baseclone'
    at Function.Module._resolveFilename (module.js:336:15)
    at Function.Module._load (module.js:286:25)
    at Module.require (module.js:365:17)
    at require (module.js:384:17)
    at Object.<anonymous> (C:myaccountworkspacetodoparrotnode_moduleslaravel-elixirnode_modulesgulp-notifynode_modulesnode-notifiernode_moduleslodash.clonedeepindex.js:9:17)
    at Module._compile (module.js:434:26)
    at Object.Module._extensions..js (module.js:452:10)
    at Module.load (module.js:355:32)
    at Function.Module._load (module.js:310:12)
    at Module.require (module.js:365:17)

command gulp is working, but how to set the elixir to work, that gulp is working on it. What is laravel/elixir proper version for writing to file composer.js require {..,”laravel/elixir”:”???????”,..}. Is it “laravel/elixir” or “laravel-elixir”. I’m unable to find sufficient good instructions.


Source: laravel

Leave a Reply